#ifndef MOVIESCRUBBER_H
#define MOVIESCRUBBER_H

#include "ofMain.h"

#include <sstream>

class movieScrubber
{
    public:

        movieScrubber(float start);

        virtual ~movieScrubber();

        void update();

        void draw(int x, int y);

        void draw(int x, int y, int w, int h);

        void setSpeed(float speed);

        void setLoopStart();

        void setLoopStop();

        void clearLoop();

        float start_pos, loop_start, loop_stop;

    protected:

    private:
        ofVideoPlayer   movie;
        ofSoundPlayer   soundtrack;

        bool loop;
};

#endif // MOVIESCRUBBER_H
